Skip to content

List support tickets

GET
/v1/support/tickets
curl --request GET \
--url 'https://shareout.site/v1/support/tickets?scope=mine&status=open&limit=200' \
--header 'Authorization: Bearer <token>'

scope=mine (default) returns the requester’s tickets. scope=workspace&workspace={id} requires workspace admin/owner. scope=all is instance-admin only (session or personal token; workspace agent tokens are refused) and also filters by workspace (none = no workspace), category, since and limit. Optional status filter.

scope
string
default: mine
Allowed values: mine workspace all
workspace
string

Required when scope=workspace. With scope=all, a workspace id or none.

status
string
Allowed values: open pending resolved closed
category
string

Scope=all only.

since
string format: date-time

Scope=all only. Tickets with a message after this ISO timestamp.

limit
integer
default: 200 <= 500

Scope=all only.

Tickets

Media typeapplication/json
object
success
boolean
tickets
Array<object>
object
id
string
subject
string
status
string
Allowed values: open pending resolved closed
channel
string
Allowed values: ui skill email telegram slack
workspace_id
string
nullable
requester_user_id
string
nullable
requester_email
string format: email
nullable
priority
string
nullable
created_at
string format: date-time
updated_at
string format: date-time
Example
{
"tickets": [
{
"status": "open",
"channel": "ui"
}
]
}